Update a timeslot series
curl --request PATCH \
--url https://b.anny.co/api/v1/timeslot-series/{timeslot_series_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "timeslot-series",
"attributes": {
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslots": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}
'import requests
url = "https://b.anny.co/api/v1/timeslot-series/{timeslot_series_id}"
payload = { "data": {
"id": "<string>",
"type": "timeslot-series",
"attributes": {
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": { "self": "<string>" },
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"timeslots": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'timeslot-series',
attributes: {
name: '<string>',
start_date: '2023-11-07T05:31:56Z',
end_date: '2023-11-07T05:31:56Z',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
},
links: {self: '<string>'},
relationships: {
resource: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
timeslots: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}}
}
}
})
};
fetch('https://b.anny.co/api/v1/timeslot-series/{timeslot_series_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "timeslot-series",
"attributes": {
"name": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"resource": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"timeslots": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Availability Settings
Update a timeslot series
PATCH
/
api
/
v1
/
timeslot-series
/
{timeslot_series_id}
Update a timeslot series
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The timeslot series identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A named grouping of recurring or otherwise related timeslots for a single resource.
Show child attributes
Show child attributes
Antwort
OK
A named grouping of recurring or otherwise related timeslots for a single resource.
Show child attributes
Show child attributes
⌘I